Item10033: Since LdapContrib 4.10 I can't install Plugins over configure

pencil
Priority: Normal
Current State: Closed
Released In: n/a
Target Release: n/a
Applies To: Extension
Component: LdapContrib
Branches:
Reported By: WikiGuest
Waiting For:
Last Change By: MichaelDaum
Hello,

I updated LdapContrib to 4.10 and wasn't able to install any kind of plugin over configure. configure > Extensions > Install and Update Extensions > Install/uninstall selected Extensions > Process Extensions

The error is (in 4.10):

Undefined subroutine &Foswiki::Func::isValidWikiWord called at /var/www/wiki/lib/Foswiki/Contrib/LdapContrib.pm line 1306, <DATA> line 522. 

That's why I copied the old LdapContrib.pm (<4.10) in the lib path to upgrade to 4.11. But here I'm getting the same Message.

-- KevinKaiser - 16 Nov 2010

Do you get a more complete traceback dump? If so, please paste it into a verbatim block so I can see what the caller path is to reach the error?

Also what options to you have configured for Password, Login and Mapping managers in your configuration? Configure is supposed to revert back to default authentication when installing extensions, so your LDAP setting should not be being referenced during extension updates. Maybe a path has been missed.

-- GeorgeClark - 16 Nov 2010

Try adding this to LdapContrib.pm:

--- lib/Foswiki/Contrib/LdapContrib.pm  (revision 9989)
+++ lib/Foswiki/Contrib/LdapContrib.pm  (working copy)
@@ -23,6 +23,7 @@
 use Net::LDAP::Extension::SetPassword;
 use DB_File;
 
+use Foswiki::Func ();

-- MichaelDaum - 16 Nov 2010

My guess is that it needs to use Foswiki::Func and Foswiki::Sandbox, at the top of this file. Maybe with () so it does not import anything.

-- OlivierRaginel - 16 Nov 2010

--- lib/Foswiki/Contrib/LdapContrib.pm  (revision 9989)
+++ lib/Foswiki/Contrib/LdapContrib.pm  (working copy)
@@ -23,6 +23,7 @@
 use Net::LDAP::Extension::SetPassword;
 use DB_File;
 
+use Foswiki::Func ();

works fine for me also without the brackets: ().

Here the additonal facts of the LocalSite.cfg:
$Foswiki::cfg{LoginManager} = 'Foswiki::LoginManager::LdapApacheLogin';
$Foswiki::cfg{UserMappingManager} = 'Foswiki::Users::LdapUserMapping';
$Foswiki::cfg{PasswordManager} = 'Foswiki::Users::LdapPasswdUser';
$Foswiki::cfg{Ldap}{SecondaryPasswordManager} = 'none';
$Foswiki::cfg{Plugins}{NewUserPlugin}{Enabled} = 1;
$Foswiki::cfg{Plugins}{GluePlugin}{Enabled} = 1;
$Foswiki::cfg{Plugins}{LdapNgPlugin}{Enabled} = 1;

I'm not sure where to find a complete traceback dump. I checked the logfiles of apache and foswiki but there is only this line.

-- KevinKaiser - 16 Nov 2010

Fix released as 4.12.

-- MichaelDaum - 22 Nov 2010

ItemTemplate edit

Summary Since LdapContrib 4.10 I can't install Plugins over configure
ReportedBy WikiGuest
Codebase 1.1.2
SVN Range
AppliesTo Extension
Component LdapContrib
Priority Normal
CurrentState Closed
WaitingFor
Checkins
TargetRelease n/a
ReleasedIn n/a
Topic revision: r6 - 22 Nov 2010, MichaelDaum - This page was cached on 15 May 2020 - 12:27.

The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. See Copyright Statement. Creative Commons License    Legal Imprint    Privacy Policy